package com.tzld.piaoquan.tencentad.controller;

import com.tzld.piaoquan.tencentad.common.base.CommonResponse;
import com.tzld.piaoquan.tencentad.model.po.AdVideo;
import com.tzld.piaoquan.tencentad.model.po.AdVideoImage;
import com.tzld.piaoquan.tencentad.model.vo.*;
import com.tzld.piaoquan.tencentad.service.AdMuseTaskService;
import com.tzld.piaoquan.tencentad.service.AdVideoImageService;
import com.tzld.piaoquan.tencentad.service.AdVideoService;
import com.tzld.piaoquan.tencentad.utils.page.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/ad/video")
public class AdVideoController {

    @Autowired
    private AdVideoService adVideoService;

    @Autowired
    private AdVideoImageService adVideoImageService;

    @Autowired
    private AdMuseTaskService adMuseTaskService;


    @GetMapping("/get")
    public CommonResponse<Page<AdVideoVo>> getAdVideoList(@RequestParam(defaultValue = "1") Integer pageNum,
                                                          @RequestParam(defaultValue = "10") Integer pageSize) {
        return adVideoService.getAdVideoList(pageNum, pageSize);
    }

    @PostMapping("/verify")
    public CommonResponse<Void> verifyAdVideo(@RequestBody AdVideoParam adVideoParam) {
        return adVideoService.verifyAdVideo(adVideoParam);
    }

    @GetMapping("/image/get")
    public CommonResponse<List<AdVideoImageVo>> getAdVideoImageList(@RequestParam Long adVideoId) {
        return adVideoImageService.getAdVideoImageVoList(adVideoId);
    }

    @PostMapping("/image/update")
    public CommonResponse<Void> getAdVideoImageList(@RequestBody AdVideoImageParam adVideoImageParam) {
        return adVideoImageService.updateAdVideoImage(adVideoImageParam);
    }


    @GetMapping("/muse/get")
    public CommonResponse<List<AdMuseImageVo>> getAdMuseImageVoList(@RequestParam Long adVideoId) {
        return adMuseTaskService.getAdMuseImageVoList(adVideoId);
    }

    @PostMapping("/muse/verify")
    public CommonResponse<Void> verifyAdMuseImage(@RequestBody AdMuseImageParam adMuseImageParam) {
        return adMuseTaskService.verifyMuseTask(adMuseImageParam);
    }


}
